<?php

namespace App\Models;

use DateTime;
use Illuminate\Database\Eloquent\Concerns\HasTimestamps;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class EvaluationMaturityAnswer.
 *
 * @property int $id
 * @property Evaluation$evaluation
 * @property int              $evaluation_id
 * @property MaturityQuestion $question
 * @property int              $maturity_question_id
 * @property MaturityAnswer   $answer
 * @property int              $maturity_answer_id
 * @property DateTime         $createdAt
 * @property DateTime         $updatedAt
 */
class EvaluationMaturityAnswer extends Model
{
    use HasFactory;
    use HasTimestamps;

    public function evaluation(): BelongsTo
    {
        return $this->belongsTo(Evaluation::class);
    }

    public function question(): BelongsTo
    {
        return $this->belongsTo(MaturityQuestion::class);
    }

    public function answer(): BelongsTo
    {
        return $this->belongsTo(MaturityAnswer::class);
    }
}
