<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:outline="http://wkhtmltopdf.org/outline"
                xmlns="http://www.w3.org/1999/xhtml">
    <xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                indent="yes" />
    <xsl:template match="outline:outline">
        <html>
        <head>
            <title>Table des matières</title>
            <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
            <style>
                body {
                    padding: 4em 3em;
                }
                h1, .title {
                    text-align: center;
                    font-size: 28px;
                    font-family: sans-serif;
                    margin: 1em auto;
                }
                div {border-bottom: 1px dashed rgb(200,200,200);}
                span {float: right;}
                li {list-style: none; margin-top: 0.5em;}
                ul {
                    font-size: 20px;
                    font-family: sans-serif;
                }
                ul ul {font-size: 100%; }
                ul {padding-left: 0em;}
                ul ul {padding-left: 1em;}
                a {text-decoration:none; color: black;}
            </style>
        </head>
        <body>
        <p class="title">Table des matières</p>
        <ul><xsl:apply-templates select="outline:item/outline:item"/></ul>
        <p>Ce dossier comprend <span class="topage"></span> <xsl:value-of select="@page" /> pages (hors annexes)</p>

        </body>
        </html>
    </xsl:template>
    <xsl:template match="outline:item">
        <li>
            <xsl:if test="@title!=''">
                <div>
                    <a>
                        <xsl:if test="@link">
                            <xsl:attribute name="href"><xsl:value-of select="@link"/></xsl:attribute>
                        </xsl:if>
                        <xsl:if test="@backLink">
                            <xsl:attribute name="name"><xsl:value-of select="@backLink"/></xsl:attribute>
                        </xsl:if>
                        <xsl:value-of select="@title" />
                    </a>
                    <span> <xsl:value-of select="@page" /> </span>
                </div>
            </xsl:if>
            <ul>
                <xsl:comment>added to prevent self-closing tags in QtXmlPatterns</xsl:comment>
                <xsl:apply-templates select="outline:item"/>
            </ul>
        </li>
    </xsl:template>
</xsl:stylesheet>
